<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
Paint Method (IEdmImage)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmImage Interface : Paint Method (IEdmImage)

Visual Basic
C#
C++/CLI

llHDC
  Device context handle

poDestRect
  EdmRect structure; contains the size and position where to draw the image; null to use the size and position of the image when it was created or the size and position that was passed in the last call to IEdmImage::Reposition

Paints an image on the specified device context in the specified bounding rectangle.

# Syntax

Visual Basic |
--- | ---

    Sub Paint( _
       ByVal llHDC As System.Long, _
       Optional ByRef poDestRect As EdmRect _
    )

C# |
--- | ---

    void Paint(
       System.long llHDC,
       ref EdmRect poDestRect
    )

C++/CLI |
--- | ---

    void Paint(
    &   System.int64 llHDC,
    &   EdmRect% poDestRect
    )

#### Parameters

llHDC
  Device context handle
poDestRect
  EdmRect structure; contains the size and position where to draw the image; null to use the size and position of the image when it was created or the size and position that was passed in the last call to IEdmImage::Reposition

# Example

See the IEdmImage examples.

# Remarks

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmImage Interface
IEdmImage Members

# Availability

SOLIDWORKS PDM Professional 2013